Project

General

Profile

Bug #18068

self-registered katello fails on "foreman-installer --upgrade-puppet" because of missing package puppet-agent-oauth

Added by Klaas D over 4 years ago. Updated almost 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
Installer
Target version:
Difficulty:
Triaged:
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

Hi,
I'm currently testing the katello 3.2.2 updates (coming from 3.1).

During "foreman-installer --upgrade-puppet" there is an error that the package puppet-agent-oauth is not installable. the puppet-agent and puppetserver packages are installed before shutting down the services of pulp but the puppet-agent-oauth package is not included.

Greetings
Klaas

Associated revisions

Revision cdd0413a (diff)
Added by Klaas Demter over 4 years ago

fixes #18068 - ensure pulp is available during puppet upgrade

History

#1 Updated by The Foreman Bot over 4 years ago

  • Status changed from New to Ready For Testing
  • Pull request https://github.com/Katello/katello-installer/pull/467 added

#2 Updated by Justin Sherrill over 4 years ago

  • Legacy Backlogs Release (now unused) set to 188

#3 Updated by Anonymous over 4 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

Also available in: Atom PDF